JobTrackerJspHelper (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.jobtracker
Class JobTrackerJspHelper

    java.lang.Object
      org.apache.hadoop.mapreduce.server.jobtracker.JobTrackerJspHelper

    public class JobTrackerJspHelper

extends Object

Methods to help format output for JobTracker XML JSPX

Constructor Summary
`JobTrackerJspHelper()`

Method Summary
`void` | `generateJobTable(javax.servlet.jsp.JspWriter out, String label, List<JobInProgress> jobs)` Returns an XML-formatted table of the jobs in the list.
`void` | `generateSummaryTable(javax.servlet.jsp.JspWriter out, JobTracker tracker)` Generates an XML-formatted block that summarizes the state of the JobTracker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTrackerJspHelper

    public JobTrackerJspHelper()

Method Detail

### generateJobTable

    public void generateJobTable(javax.servlet.jsp.JspWriter out,
                                 String label,
                                 List<JobInProgress> jobs)
                          throws IOException

  Returns an XML-formatted table of the jobs in the list. This is called repeatedly for different lists of jobs (e.g., running, completed, failed).

  Throws:
    `IOException`

### generateSummaryTable

    public void generateSummaryTable(javax.servlet.jsp.JspWriter out,
                                     JobTracker tracker)
                              throws IOException

  Generates an XML-formatted block that summarizes the state of the JobTracker.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation